GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Data Structures | Public Member Functions | Data Fields
grpc::SslServerCredentialsOptions Struct Reference

`#include <server_credentials.h>`

## Data Structures
struct | PemKeyCertPair

## Public Member Functions
| SslServerCredentialsOptions ()

## Data Fields
grpc::string | pem_root_certs
std::vector< PemKeyCertPair > | pem_key_cert_pairs
bool | force_client_auth

## Constructor & Destructor Documentation

grpc::SslServerCredentialsOptions::SslServerCredentialsOptions | ( |  | ) |
| inline

## Field Documentation

bool grpc::SslServerCredentialsOptions::force_client_auth

std::vector<PemKeyCertPair> grpc::SslServerCredentialsOptions::pem_key_cert_pairs

grpc::string grpc::SslServerCredentialsOptions::pem_root_certs

The documentation for this struct was generated from the following file:

- include/grpc++/server_credentials.h